
#include "../include/table_definition.h"
#include "../include/file_path.h"
#include <oosxl.h>

#include <stdio.h>


void table_definition()
{
    DocumentHandle doc = doc_create();
    WorkbookHandle wb = doc_get_workbook(doc);
    WorksheetHandle ws = wb_add_worksheet(wb, "table definition");

    TabledefHandle td = ws_add_tabledef(ws, "MyTableList", 3, 3, 10, 10);
    td_set_display_total(td, 1);

    if (!doc_save(doc, target_file("table definition.xlsx")))
        printf("Error saving file: %s\n", run_msg());

    doc_release(doc);
}

